summaryrefslogtreecommitdiffstats
path: root/academic/yices2
diff options
context:
space:
mode:
author William PC <w_calandrini[at]hotmail[dot]com>2022-11-05 12:46:15 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-11-05 12:46:15 +0700
commit8323de654b46749e7f68fa48bae5bb82c4c74ac5 (patch)
tree7901871f567999a9e5407e3c19920d0f36b6888d /academic/yices2
parentaa6d927a727a5eaee4a5a3dbd2fc3fc05bc0603b (diff)
downloadslackbuilds-8323de654b46749e7f68fa48bae5bb82c4c74ac5.tar.gz
slackbuilds-8323de654b46749e7f68fa48bae5bb82c4c74ac5.tar.xz
academic/yices2: Added (Satisfiability modulo theories solver).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic/yices2')
-rw-r--r--academic/yices2/README14
-rw-r--r--academic/yices2/slack-desc19
-rw-r--r--academic/yices2/yices2.SlackBuild131
-rw-r--r--academic/yices2/yices2.info10
4 files changed, 174 insertions, 0 deletions
diff --git a/academic/yices2/README b/academic/yices2/README
new file mode 100644
index 0000000000..65774f7f8c
--- /dev/null
+++ b/academic/yices2/README
@@ -0,0 +1,14 @@
+ Yices 2 is an SMT solver that decides the satisfiability of formulas
+containing uninterpreted function symbols with equality, real and
+integer arithmetic, bitvectors, scalar types, and tuples. Yices 2
+supports both linear and nonlinear arithmetic.
+
+ Yices 2 can process input written in the SMT-LIB notation (both
+versions 2.0 and 1.2 are supported). Alternatively, you can write
+specifications using Yices 2's own specification language, which
+includes tuples and scalar types. You can also use Yices 2 as a
+library in your software.
+
+
+ If you want to enable non-linear real and integer arithmetic
+set MCSAT=yes, this requires libpoly and libcudd.
diff --git a/academic/yices2/slack-desc b/academic/yices2/slack-desc
new file mode 100644
index 0000000000..a575d6fc35
--- /dev/null
+++ b/academic/yices2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+yices2: yices2 (Satisfiability modulo theories solver)
+yices2:
+yices2:
+yices2:
+yices2: Yices 2 is an SMT solver that decides the satisfiability of
+yices2: formulas containing uninterpreted function symbols with equality,
+yices2: real and integer arithmetic, bitvectors, scalar types, and tuples.
+yices2: Yices 2 supports both linear and nonlinear arithmetic.
+yices2:
+yices2:
+yices2:
diff --git a/academic/yices2/yices2.SlackBuild b/academic/yices2/yices2.SlackBuild
new file mode 100644
index 0000000000..7d80ee1a9e
--- /dev/null
+++ b/academic/yices2/yices2.SlackBuild
@@ -0,0 +1,131 @@
+#!/bin/bash
+
+# Slackware build script for yices2
+
+# Copyright 2022 William PC - Seattle, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=yices2
+VERSION=${VERSION:-2.6.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+SRCNAM=yices-$VERSION-src
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-Yices-$VERSION
+tar xvf $CWD/$SRCNAM.tar.gz
+cd $PRGNAM-Yices-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+
+if [ "${MCSAT:-no}" == "yes" ]; then
+ OPT="--enable-mcsat"
+fi
+
+autoconf
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ $OPT \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+make
+make install DESTDIR=$PKG
+
+# install docs and fix permissions
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -av doc/*.* $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type d -exec chmod 755 '{}' \;
+
+# installing examples
+mkdir -p $PKG/usr/share/$PRGNAM-$VERSION
+cp -a examples $PKG/usr/share/$PRGNAM-$VERSION
+
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE.txt README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/academic/yices2/yices2.info b/academic/yices2/yices2.info
new file mode 100644
index 0000000000..2811b191e2
--- /dev/null
+++ b/academic/yices2/yices2.info
@@ -0,0 +1,10 @@
+PRGNAM="yices2"
+VERSION="2.6.4"
+HOMEPAGE="https://yices.csl.sri.com"
+DOWNLOAD="https://yices.csl.sri.com/releases/2.6.4/yices-2.6.4-src.tar.gz"
+MD5SUM="6863fb6c44345e4b72490d16a7ee9f27"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="William PC"
+EMAIL="w_calandrini[at]hotmail[dot]com"